Subject: Re: [Fwd: Re: IPSP proposed text (1st approach)]]

From: Dennis Niermann <[email-masked]>
Date: Fri, 02 Nov 2001 18:19:45 -0600

Brian, 
More comments..

"Brian F. G. Bidulock" wrote:
> 
> Dennis,
> 
> Dennis Niermann wrote:  (Fri, 02 Nov 2001 14:56:23)
> > Hi Tolga,
> > Here are my reasons for disagreeing with your conclusion that it
> > is better to define the RC as representing a pair of AS's.
> >
> > 1. It makes the definition of AS semantically different for the
> > IPSP-IPSP case (a pair of AS's) versus the ASP-SGP case (where the
> > RC must still represent a single AS because the AS is not paired
> > up with another).
> 
> The definition of AS does not change.  An RC is used to identify a
> forward routing key describing traffic towards an AS.  This does not
> change.  At the originator, the RC is still obtained by applying the
> forward RK to the message and obtaining the RC of the AS to which
> is is being routed.  The ASP performs this function in the same way
> as the SGP routes ougoing message.  There is no change.
I made a mistake in my text. I meant to say that it makes the definition
of RC different (not AS). I agree with you completely about the 
logic.

> 
> > 2. It changes the semantics of the ASPAC request from its current
> > meaning of "to tell a remote M3UA that this ASP is ready to
> > process signalling traffic for a particular AS" to something else
> > that I am not even sure makes any sense.
> 
> This is why the RC must represent the incoming AS as well so that
> the receiver of the message can verify that the sending AS is
> ACTIVE.  This does not change from the AS/SG case where the SGP
> makes the same determination based on a single RC value. There is
> no change.
The change is in the meaning of the RC. From identifying the only
sender's AS in the AS/SG case to identifying two AS's in your way
for IPSP-IPSP.

> 
> > 3. It breaks the ability to use the registration messages and
> > procedures in their current form since they depend on a RC value
> > to be assigned to a single routing key (one AS).
> 
> Nothing breaks.  In a point to point network only a single routing
> key is required.
I did not realize until now that you were proposing that
in addition to one RC for the pair of AS's, that the two AS's would
also be identified by a single routing key.
Obviously, there would need to be a different RK for each AS pair.
And, the RK would almost certainly have to include both a OPC and
a DPC (in addition to possibly SI and others) in order to uniquely
identify the pair of ASs. Thus, an AS would be associated with 
multiple RKs - one for each AS pair that it belonged to.

To me, this adds yet another fundamental
change of definition. The one that states that there is a 1-1 
relationship between a RK and a AS.  
From the 1.2 Terminology section:  a routing key 
"uniquely defines the range of signalling traffic to be handled by
a particular Application Server".

> 
> > 4. I believe that it is much easier to manage and understand RCs
> > assigned to AS's than to pairs of AS's. An RC per AS grows
> > linearly with the number of AS's, whereas an RC per AS-AS pair
> > grows exponentially.  It is true that for the simple case of a
> > single AS serviced by a single IPSP that this is all a non-issue
> > since in both the single ended and the double ended case you don't
> > even need to use an RC, it is only interesting when you consider
> > the more complicated cases.  Even though between any two pairs of
> > AS's it is point-to-point.
> 
> For one point-to-point connection per association, there are no
> RC values required.  You only need a lot of RC values if you are
> trying to run a whole bunch of point to point connections over
> the same association, but this is really not in fitting with the
> concept of a point to point network.  In practice, there will
> likely be one or more associations per point to point relationship.
> Even SS7 has this (F-links).
> 
> > It is also true that a given IPSP is certainly going to have
> > associations with many other IPSPs and/or SGPs. And, its AS(s) is
> > going to be paired up with many other ASs.
> 
> If it has associations with many other IPSPs, there will be no
> need for RC on the associations because the point-to-point traffic
> will be implicit.
The RC can be implicit if there is only one AS per IPSP.

> 
> > 5. I think that it is a mistake to create specialized behavior and
> > semantics for when communicating with another IPSP versus
> > communicating with a SG.
> 
> This approach permits the ASP to be unaware of whether it is
> communicating with an SG or another ASP.  You are write: double-
> ended is so specialized that it requires the ASP to know it is in
> IPSP mode to change to the double-ended procedure.  Single-ended
> relieves this obligation from the ASP and is the simpler approach.
I do not agree with this. I agree with what you said earlier:
"The ASP performs this function in the same way as the SGP 
routes ougoing message."
In other words the ASP needs to know whether it is talking with
a SGP or an IPSP. And when it is send data to an IPSP it 
uses logic of an SGP.  This is true for either approach.
I believe that the double ended is able to retain more of
the fundamental meanings of what already exists for SG/AS.

I believe that all my reasons above still apply as to why double 
ended is better.  In addition, I think that breaking the 
1-1 relationship between a RK and an AS is an even more serious
argument against single ended. 

> 
> --brian
> 
> >
> >    Dennis
> >
> >
> >
> >
> >
> >
> > [email-masked] wrote:
> > >
> > > Hi,
> > >
> > > Because of the point-to-point nature of IPSP communciation, it seems to me
> > > now more logical to identify every AS pair with a unique RC. ASs are
> > > corresponding to endnodes of the communication. As the name implies, in
> > > point-to-point communication messages are sent and received between two
> > > points. This can be achieved only by identifying both of the endpoints for
> > > a message, if over a single association traffic of more than one AS pairs
> > > is transferred (if the whole traffic belongs only to one AS pair, then it
> > > is implied by the association itself)
> > >
> > > As pointed out by Dennis, similar result can be achieved by putting two RCs
> > > in DATA (one for source AS one for destination AS) but personally I find
> > > single ended approach more elegant from this point of view.
> > >
> > >     Tolga
> >
> > [snip]
> >
> >
> > ---
> > You are currently subscribed to sigtran as: [email-masked]
> > To unsubscribe send a blank email to [email-masked]
> 
> --
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> 
> ---
> You are currently subscribed to sigtran as: [email-masked]
> To unsubscribe send a blank email to [email-masked]

-- 
---------------------------------------------------------------
 Dennis Niermann              [email-masked]
 Ericsson Network Systems   
 Richardson, Tx 75081

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]